package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.EndApplyBean;
import com.wd.workoffice.bean.SendApplyBean;
import com.wd.workoffice.util.WorkUtils;

import java.util.List;

import androidx.annotation.Nullable;

/**
 * Created by flexible on 2018/8/13.
 */

public class EndApplyAdapter extends BaseQuickAdapter<EndApplyBean.RecordsBean, BaseViewHolder> {
    int status;

    public EndApplyAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }

    public EndApplyAdapter(int layoutResId, @Nullable List<EndApplyBean.RecordsBean> data, int status) {
        super(layoutResId, data);
        this.status = status;
    }

    @Override
    protected void convert(BaseViewHolder helper, EndApplyBean.RecordsBean item) {
        helper.setText(R.id.tv_name, item.getSerialNumber());
        helper.setText(R.id.tv_reason, item.getApplyRemark());
        helper.setText(R.id.tv_time, item.getCreatedTime());
        helper.setText(R.id.tv_status, WorkUtils.getFinancialStatus(Integer.valueOf(item.getStatus())));
//        if (status == 0) {
//            helper.setVisible(R.id.ll_btn, true);
//            helper.addOnClickListener(R.id.tv_agree);
//            helper.addOnClickListener(R.id.tv_refuse);
//        }


    }
}

